Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.discount.association
Class AssociationDeleteException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.beasys.commerce.foundation.exception.ApplicationException
                  com.bea.commerce.ebusiness.discount.DiscountException
                      com.bea.commerce.ebusiness.discount.association.AssociationDeleteException

All Implemented Interfaces
  MessageCatalogException, Serializable

Deprecated

    @Deprecated
    public class AssociationDeleteException

extends DiscountException

Indicates that an attempt to create a discount association failed, usually the result of a lower level failure

See Also
  Serialized Form

Field Summary
`static String` | `msgKey` Deprecated

Fields inherited from class com.bea.commerce.ebusiness.discount.DiscountException
`MESSAGE_NAMESPACE`

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`AssociationDeleteException(DeleteResults results)` Deprecated Class constructor using the default msg key and accepting a DeleteResults object.
`AssociationDeleteException(String msgKey, DeleteResults results)` Deprecated Class constructor taking key of the associated catalog message and a DeleteResults object.

Method Summary
`DeleteResults` | `getResults()` Deprecated

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### msgKey

    public static final String msgKey

  Deprecated
  See Also
    Constants Summary

Constructor Detail

### AssociationDeleteException

    public AssociationDeleteException(DeleteResults results)

  Deprecated
  Class constructor using the default msg key and accepting a DeleteResults object.

  Parameters
    `results` - results of the delete operation.

### AssociationDeleteException

    public AssociationDeleteException(String msgKey,
                                      DeleteResults results)

  Deprecated
  Class constructor taking key of the associated catalog message and a DeleteResults object.

  Parameters
    `msgKey` - The associated catalog message key.
    `results` - results of the delete operation.

Method Detail

### getResults

    public DeleteResults getResults()

  Deprecated

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.